/* * Reset básico * */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth !important;
}

/* Estilo do header */

body, html {
  font-family: 'Montserrat', sans-serif;
}



/* Estilo do nav */
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #ffffff;
  color: rgb(4, 2, 121);
  padding: 10px 20px;
  position: relative;
}

nav .logo img {
  display: block;
}

nav #odara img{
width: 200px;
}

nav .icons i {
  margin: 0 10px;
  font-size: 18px;
  cursor: pointer;
  color: #010361;
}

nav .icons i:hover{
  color: rgb(204, 55, 10);
}

.icons{
  margin-left: 32%;
}
nav a{
  color: black;
}

nav .menu-toggle {
  display: none;
  flex-direction: column;
  gap: 5px;
  background: transparent;
  border: none;
  cursor: pointer;
  z-index:5 !important;
}

nav .menu-toggle span {
  display: block;
  width: 25px;
  height: 3px;
  background: rgb(1, 2, 95);
  
}

nav .nav-links {
  display: flex;
  list-style: none;
  gap: 20px;
  position: relative;
  z-index:5 !important;
}

nav .nav-links .dropdown {
  display: none;
  position: absolute;
  top: 100%;
  left: 22%; /* Ajuste o valor conforme necessário */
  background-color: #fefeff;
  list-style: none;
  padding: 10px;
  z-index: 10;
}

nav .nav-links .dropdown::before {
  content: '';
  position: absolute;
  top: -10px;
  left: 10px;
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #444 transparent;
  z-index: 0;
}

nav .nav-links li:hover .dropdown {
  display: block;
}

nav .nav-links a {
  text-decoration: none;
  color: rgb(56, 55, 55);
  padding: 5px 10px;
}

.nav-links a:hover{
  color: rgb(255, 255, 255);
  border: 1px solid white;
  border-radius: 8px;
  background-color: #020466;
}
header {
  background: url('/imagens/cidade1 - Copia.jpg') center/cover no-repeat;
  height: 450px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  box-shadow: 0  10px 30px rgba(102, 57, 7, 0.822);

}

header::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;

}

header .header-content {
  position: relative;
  z-index: 2;
  text-align: center;
  color: white;
}


/* ____________________________________________________________________________________________ */

.lista-servicos {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
}

.lista-servicos > .lista-servicos-item {
  position: relative;
}

.main-link {
  color: #fff;
  text-decoration: none;
  border: none;
  border-radius: 5px;
  display: inline-block;
  transition: background-color 0.3s, color 0.3s;
  margin-left: 2%;
}

.main-link:hover {
  background-color: rgba(255, 255, 255, 0);
  color: #333;
}

.lista-servicos-links {
  list-style: none;
  position: absolute;
  top: 100%;
  left: 0;
  background-color: #505050d0;
  border: 1px solid #cccccc00;
  padding: 10px 0;
  display: none;
  width: 150px;
  z-index: 1000;
}

.lista-servicos-links li {
  padding: 5px 10px;
}

.lista-servicos-links li a {
  color: white;
  text-decoration: none;
  display: block;
  transition: background-color 0.3s;
}

.lista-servicos-links li a:hover {
  background-color: #fde61800;
}

.lista-servicos-item:hover .lista-servicos-links {
  display: block;
}
/* ____________________________________________________________________________________________ */


.menu a, .social-icons .icon {
  font-family: 'Abril Fatface', serif; /* Fonte para títulos de destaque */
  font-size: 23px;
  color: #fff;
  text-decoration: none;
  margin-right:15px;
}

.social-icons {
  display: flex;
  align-items: center;
}

.home-link {
  text-decoration: none;
  color: #fff;
  font-size: 1.2em;
  display: flex;
  align-items: center;
}

.home-link i {
  height: 12px;
  margin-left: 9px;
  margin-right: 9px;  
  padding-bottom: 22px;
}


.social-icons a:hover {
  color: #ffd700; /* Cor dourada ao passar o mouse */
}

.menu a:hover {
  color: #ffd700; /* Cor dourada ao passar o mouse */
}


.hamburger {
  display: none;
  flex-direction: column;
  cursor: pointer;
}

.hamburger span {
  width: 25px;
  height: 3px;
  background: #fff;
  margin: 5px 0;
  transition: 0.4s;
}

.hamburger.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  transform: rotate(-45deg) translate(5px, -5px);
}

.header-title {
  font-family: 'Abril Fatface', serif; /* Fonte para títulos de destaque */
  animation: subirSuavemente 2s ease-out forwards; /* Início da animação */

  text-align: center;
  font-size: 2em;
  margin-top: 5%;
  color: white;
  z-index: 1;
  position: relative;
  text-shadow: 
  -1px -1px 0px #000, /* Sombra para cima à esquerda */
   1px -1px 0px #000, /* Sombra para cima à direita */
  -1px  1px 0px #000, /* Sombra para baixo à esquerda */
   1px  1px 0px #000; /* Sombra para baixo à direita */
}
body {
    font-family: Arial, sans-serif;
    background-color: #f8f8f8;
    color: #333;
}

.container {
    display: flex;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

.content {
  text-align: justify;
    flex: 3;
    background-color: #fff;
    padding: 20px;
    margin-right: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.content h1 {
    font-size: 24px;
    margin-bottom: 20px;
}

.content .main-image {
    width: 100%;
    height: auto;
    margin-bottom: 20px;
}

.content p {
  font-family: 'Playfair Display', serif;
    font-size: 1.4em;
    line-height: 1.6;
    padding: 12px;
    margin-bottom: 15px;
}

.social-icons {
    display: flex;
    margin-top: 20px;
}

.social-icons2 {
  display: flex;
  gap: 10px;
  margin-top: 20px;
}

.social-icons img {
    width: 24px;
    height: 24px;
}
.social-icons2 img {
  width: 24px;
  height: 24px;
}

.sidebar {
    flex: 1;
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.sidebar h2 {
    font-size: 18px;
    margin-bottom: 20px;
}

.post {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.post img {
    width: 60px;
    height: 60px;
    border-radius: 8px;
    margin-right: 10px;
}

.post p {
    font-size: 14px;
    color: #555;
}

.center{
    text-align: center;
    font-variant: small-caps;
    padding: 32px;
}

/* -------------------------------------Outras configs------------------------------------------------------ */

/* Estilo do botão de rolagem pra baixo */

.scroll-button {
    position: absolute;
    bottom: 100px;
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(255, 255, 255, 0.8);
    border: none;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease;
    z-index: 1;
  }
  
  .scroll-button i {
    font-size: 1.5em;
    color: #000;
  }
  
  .scroll-button:hover {
    background-color: rgba(196, 177, 8, 0.562);
  }
  
  
  /* Animação suave para o H1 */
  @keyframes subirSuavemente {
    0% {
        transform: translateY(100px); /* Começa abaixo */
        opacity: 0; /* Invisível no início */
    }
    100% {
        transform: translateY(0); /* Fica na posição original */
        opacity: 1; /* Totalmente visível */
    }
  }
  
  /* ---------------------------------------Botão de rolagem para o topo ---------------------------------------*/
  .scroll-top-button {
      position: fixed;
      bottom: 100px;
      right: 27px;
      width: 50px;
      height: 50px;
      background-color: rgba(6, 21, 160, 0.979);
      border: none;
      border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
      transition: opacity 0.3s ease;
      opacity: 0; /* Escondido inicialmente */
      visibility: hidden; /* Invisível inicialmente */
  }
  
  .scroll-top-button i {
      font-size: 1.5em;
      color: white;
      z-index: 1;
      cursor: pointer;
  }
  
  /* Aparece quando visível */
  .scroll-top-button.show {
      opacity: 1;
      visibility: visible;
  }
  
  
  .map-color {
    position: relative;
    width: 100%;
    overflow: hidden;
  }
  
  
  /* Estilização do vídeo como fundo */
  .video-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    overflow: hidden;
  }
  
  .video-iframe {
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    pointer-events: none; /* Evita que o vídeo interfira na interação */
  }
  
  /* Overlay com blur e filtro azul escuro */
  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 50, 0.712); /* Azul escuro translúcido */
    backdrop-filter: blur(8px); /* Efeito de blur */
    z-index: 1;
  }
  
  
  .lista {
    font-size: 16pt;
  }
  
  /* Estilo para a seção de contato e mapa */
  .contact-map {
    display: flex;
    gap: 90px;
    padding: 20px;
  }
  
  /* Estilo para o formulário de contato */
  .contact-form {
    position: relative;
    z-index: 2;
    padding: 20px;
    color: white;
  }
  
  .contact-form h2 {
    margin-bottom: 39px;
  }
  
  p{
      font-size: 23px;
  }
  .AFILIADOS{
    padding: 45px;
    font-variant: small-caps;
    text-align: center;
    font-size: 1.67em;
  }
  
  #know:hover{
    text-decoration: blanchedalmond;
  }
  
  #contato{
    font-variant: small-caps;
    font-size: 2.68em;
    padding-bottom: 39px;
    text-align: center;
  }
  
  .whatsapp-float {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 60px;
    height: 60px;
    background-color: #25d366;
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 10;
    transition: opacity 0.3s, visibility 0.3s;
  }
  
  .whatsapp-float:hover {
    background-color: #20b954;
    transform: scale(1.1);
    transition: transform 0.2s, background-color 0.2s;
    display: pointer;
  }
  
  /* ------------------------Seta para voltar para o topo------------------------------------ */
  
  .scroll-to-top {
    position: fixed;
    bottom: 90px; /* Posicione acima do botão do WhatsApp */
    right: 20px;
    width: 60px;
    height: 60px;
    background-color: #007bff; /* Cor azul */
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 10;
    transition: opacity 0.3s, visibility 0.3s;
  }
  
  /* Efeito de hover no botão da seta */
  .scroll-to-top:hover {
    background-color: #0057b373; /* Cor mais escura ao passar o mouse */
  }
  
  /* Estilo para o mapa */
  .map {
    margin-top: 20px;
  }
  
  .map iframe {
    display: flex;
    border: 0;
    width: 99%;
    height: 450px;
    text-align: left;
  }
  
  .link-contato{
    color: white;
  
  }
  #social-media {
    text-align: right;
    padding: 15px;
  }
  
  .social-share {
    display: flex;
    align-items: center;
    gap: 10px;
}

.social-share a {
    display: flex;
    align-items: center;
    text-decoration: none;
    font-weight: bold;
    font-size: 16px;
    color: #000;
}

.social-share img {
    width: 24px;
    height: 24px;
    margin-right: 8px;
}


.espaçado{
    padding: 12px;
}

.footer {
  background-color: #8b2d07; /* Fundo azul escuro */
  color: #fff;
  padding: 20px;
}

.footer-section {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  flex-wrap: wrap;
}

.footer-logo {
  position: absolute;
  left: 20px;
}

.footer-logo img {
  width: 80px;
}

.footer-links {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.footer-links a {
  color: #fff;
  text-decoration: none;
  font-size: 16px;
}

.footer-links a:hover {
  color: #1e90ff; /* Azul claro ao passar o mouse */
}

.footer-links i {
  margin-right: 5px;
}

.footer-copy {
  text-align: center;
  margin-top: 20px;
  font-size: 2em;
  color: #ccc;
}


/*--------------------- Responsividade------------------------- */
@media (min-width:601px) and (max-width: 868px) {


  header{
  height: 400px;
}

.logo{
  width: 1px;
}

nav .menu-toggle {
    display: flex;
}

nav .nav-links {
    display: none;
    flex-direction: column;
    background-color: #fdfdfd;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
}

nav .nav-links.show {
    display: flex;
}

nav .nav-links .dropdown {
    position: static;
    background-color: transparent;
    box-shadow: none;
    left: 0;
}

.nav .nav-links a{
  color: black;
}

.loading{
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  text-align: center;
  color: #000000;
  font-family: 'Dancing Script', cursive;
  padding-top:48%;
}
.header-title{
  font-size: 2em;
  margin-top: 10%;
}

.menu a{
  padding-bottom:19px;
  color: #000;
}

.menu.show {
    display: flex;
}
.hamburger {
  margin-right: 5%;
  display: flex;
}  

.header-content {
    justify-content: space-between;
}
.container {
  display: block; /* Empilha o conteúdo */
  text-align: center; /* Centraliza o conteúdo, opcional */
}

.social-icons-wrapper {
  margin-top: 20px;
  padding-right: 92%;
}

.social-icons2 {
  align-items: flex-start; /* Alinha os ícones à esquerda */
  gap: 50px;
}

.SEO {
  width: 100%; /* Cada elemento ocupa toda a largura */
}

.image{
  padding-bottom: 10%;
  width: 100%; /* Cada elemento ocupa toda a largura */
}

.scroll-button {
  bottom: 70px;
}
.instagram-posts {
  justify-content: center;
  display: grid;
  gap: 20px;
  padding-left: 50px;
  width: 100%;
  max-width: 1200px;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

.box {
width: 95% !important; 
margin: 10px auto !important; 

}
.contact-map {
flex-direction: column; 
}

.map {
order: 2;
}

.contact-form {
order: 1;
}

.viagem{
  font-size: 2.12em;
  padding-top: 12%;
  padding-bottom: 14px;
}

.Vantagens{
  font-size: 1.9em;
  padding: 0;

}

.blog-subpost{
  margin-top: 1px;
  margin-bottom: 1%;
  font-size: 2.12em;

}
#contato{
  font-size: 2.12em;
}

.footer-section {
  justify-content: center;
}

.footer-links {
  flex-direction: row;
  gap: 20px;
}

.footer-copy {
  margin-top: 10px;
  font-size: 12px;  }

  .info-sections {
    flex-direction: column; /* Empilha as sections */
    gap: 10px; /* Reduz o espaçamento entre os elementos */
}

.info-sections > section {
    width: 100%; /* Cada section ocupa toda a largura */
}

}

@media (min-width:320px) and (max-width:600px){
.header{
    height: 300px;
}

.logo{
  width: 1px;
}
  
 nav .menu-toggle {
    display: flex;
}

nav .nav-links {
    display: none;
    flex-direction: column;
    background-color: #fdfdfd;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
}

nav .nav-links.show {
    display: flex;
}

nav .nav-links .dropdown {
    position: static;
    background-color: transparent;
    box-shadow: none;
    left: 0;
}

.nav .nav-links a{
  color: black;
}

.sidebar{
  margin-top: 12%;
}

.header-content {
  justify-content: space-between;
}

.social-icons {
  margin-left: 22%;
  display: flex;
  align-items: center;
}

.social-icons2 {
  font-size: 12px !important;
  margin-left: 49%;
  display: flex;
  align-items: center;
}

  .header-title{
    font-size: 1.4em;
    margin-top: 9%;
}
  .scroll-button {
    width: 30px;
    height: 30px;
    bottom: 50px;
  }

  .footer-logo img {
    width: 100px;
  }

  .container {
    display: block; /* Empilha o conteúdo */
    text-align: center; /* Centraliza o conteúdo, opcional */
  }

  .SEO, .image {
    width: 100%; /* Cada elemento ocupa toda a largura */
  }

  .image {
    margin-top: 20px; /* Espaço entre o texto e a imagem */
  }

  .instagram-posts{
    padding-left: 29%;
    padding-right: 29%;
  }
  .instagram-posts .post {
    width: 100%; /* Exibe cada post em uma linha */
}
.advantage {
  flex-direction: column;
  align-items: center;
}

.info-box {
  width: 100%;
  margin-bottom: 15px;
}

.blog{
width: 95% !important;
}

.box {
width: 95% !important; /* Largura aumentada para telas menores */
margin: 10px auto !important; /* Centralização com espaçamento automático */

}
.contact-map {
flex-direction: column; /* Altera a direção para coluna */
}

.map {
order: 2; /* Coloca o mapa no final */
}

.contact-form {
order: 1; /* Coloca o formulário acima */
}

.viagem{
  font-size: 2.12em;
  padding-top: 12%;
  padding-bottom: 14px;
}

.Vantagens{
  font-size: 1.9em;
  padding: 0;
}

.blog-subpost{
  margin-top: 1px;
  margin-bottom: 1%;
  font-size: 2.12em;
}

#contato{
  font-size: 2.12em;
}

.AFILIADOS{
  font-size: 1.5em;
}

.social-icons {
  font-size: 12px !important;
  margin-left: 12%;
  display: flex;
  align-items: center;
}

.social-icons-wrapper {
  margin-top: 20px;
  padding-right: 92%;
}

.social-icons2 {
  align-items: flex-start; /* Alinha os ícones à esquerda */
  gap: 50px;
}

.social-icons2 a {
  margin-bottom: 10px;
  gap: 50px;
}

.footer-copy {
  margin-top: 10px;
  font-size: 12px;
}

}
